summaryrefslogtreecommitdiff
path: root/dev-python/mecab-python/mecab-python-1.0.7.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-05-25 06:59:56 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-05-25 06:59:56 +0000
commit7905b85a5dde08d4760319aa85fa4fa8954e8548 (patch)
treeeb4955d2c950ca4d00b5d51a9a0101975759378f /dev-python/mecab-python/mecab-python-1.0.7.ebuild
parente7db7379fcca2dcb309c8c5bf5dec5d11a31ae47 (diff)
downloadbaldeagleos-repo-7905b85a5dde08d4760319aa85fa4fa8954e8548.tar.gz
baldeagleos-repo-7905b85a5dde08d4760319aa85fa4fa8954e8548.tar.xz
baldeagleos-repo-7905b85a5dde08d4760319aa85fa4fa8954e8548.zip
Adding metadata
Diffstat (limited to 'dev-python/mecab-python/mecab-python-1.0.7.ebuild')
-rw-r--r--dev-python/mecab-python/mecab-python-1.0.7.ebuild31
1 files changed, 31 insertions, 0 deletions
diff --git a/dev-python/mecab-python/mecab-python-1.0.7.ebuild b/dev-python/mecab-python/mecab-python-1.0.7.ebuild
new file mode 100644
index 000000000000..9f0fb9837b47
--- /dev/null
+++ b/dev-python/mecab-python/mecab-python-1.0.7.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python binding for MeCab"
+HOMEPAGE="
+ https://taku910.github.io/mecab/
+ https://github.com/taku910/mecab/
+ https://pypi.org/project/mecab-python3/
+"
+SRC_URI="https://github.com/SamuraiT/mecab-python3/archive/refs/tags/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+S="${WORKDIR}"/${PN}3-${PV}
+
+LICENSE="|| ( BSD LGPL-2.1 GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ppc64 ~x86"
+
+DEPEND=">=app-text/mecab-0.996"
+RDEPEND="${DEPEND}"
+BDEPEND="dev-python/setuptools-scm[${PYTHON_USEDEP}]"
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+distutils_enable_tests pytest